Package org.opensaml.saml.criterion

# Class ProtocolCriterion

java.lang.Object
org.opensaml.saml.criterion.ProtocolCriterion

All Implemented Interfaces:
  `Criterion`

public final class ProtocolCriterion extends Object implements Criterion
`Criterion` representing a protocolSupportEnumeration value.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final String`
`protocol`
The SAML protocol.

## Constructor Summary

Constructors
Constructor
Description
`ProtocolCriterion(String protocolUri)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getProtocol()`
Get the SAML protocol URI.
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### protocol

@Nonnull @NotEmpty private final String protocol
The SAML protocol.

## Constructor Details

### ProtocolCriterion

public ProtocolCriterion(@Nonnull @NotEmpty String protocolUri)
Constructor.

Parameters:
  `protocolUri` - the SAML protocol

## Method Details

### getProtocol

@Nonnull @NotEmpty public String getProtocol()
Get the SAML protocol URI.

Returns:
  SAML protocol URI

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`